Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry
Class PrecisionType

    Object
      CodeList<PrecisionType>
          PrecisionType

All Implemented Interfaces:
  Serializable, Comparable<PrecisionType>

    public final class PrecisionType

extends CodeList<PrecisionType>

The rounding policy used for a precision model.

Since:
  GeoAPI 2.1
See Also:
  Serialized Form

Field Summary
`static PrecisionType` | `DOUBLE` Floating precision corresponds to the standard Java double-precision floating-point representation, which is based on the IEEE-754 standard.
`static PrecisionType` | `FIXED` Fixed precision indicates that coordinates have a fixed number of decimal places.
`static PrecisionType` | `FLOAT` Floating single precision corresponds to the standard Java single-precision floating-point representation, which is based on the IEEE-754 standard.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`boolean` | `isFloating()` Returns `true` if `PrecisionModelType` is a represented using floating point arithmatic (rather then a grid).
`static PrecisionType` | `valueOf(String code)` Returns the PrecisionType that matches the given string, or returns a new one if none match it.
`static PrecisionType[]` | `values()` Returns the list of `PrecisionModelType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FIXED

    public static final PrecisionType FIXED

  Fixed precision indicates that coordinates have a fixed number of decimal places.

### DOUBLE

    public static final PrecisionType DOUBLE

  Floating precision corresponds to the standard Java double-precision floating-point representation, which is based on the IEEE-754 standard.

### FLOAT

    public static final PrecisionType FLOAT

  Floating single precision corresponds to the standard Java single-precision floating-point representation, which is based on the IEEE-754 standard.

Method Detail

### isFloating

    public boolean isFloating()

  Returns `true` if `PrecisionModelType` is a represented using floating point arithmatic (rather then a grid).

  Returns:
    true if floating point arithmatic is used.

### values

    public static PrecisionType[] values()

  Returns the list of `PrecisionModelType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<PrecisionType>`

### valueOf

    public static PrecisionType valueOf(String code)

  Returns the PrecisionType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.